Bug 439512 - "Show tooltips" will make plasmashell very unresponsive if the thumbnail is read very slowly (e.g. a slow net disk mounted by rclone)
Summary: "Show tooltips" will make plasmashell very unresponsive if the thumbnail is r...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.22.2
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-05 11:20 UTC by Fushan Wen
Modified: 2021-07-07 09:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2021-07-05 11:20:43 UTC
SUMMARY
If "Show tooltips" option is checked, when hovering over some programs (like Audacious), plasmashell will freeze for several seconds and then show the thumbnail image, because the thumbnail is read very slowly (located in a network disk mounted by rclone or similar programs).

STEPS TO REPRODUCE
1. Check "Show tooltips" in task manager settings.
2. Move your mouse over any program which uses thumbnail from a slow web drive (e.g. Audacious playing music file from a web drive mounted by rclone)

OBSERVED RESULT
plasmashell freezes for several seconds and then show the thumbnail image. If network is bad, plasmashell is likeyly to hang forever.

EXPECTED RESULT
Showing the thumbnail should not block other actions.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210702
KDE Plasma Version: 5.22.2
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.12.13-1-default (64-bit)
Graphics Platform: X11
Processors: 8 × AMD Ryzen 7 4700U with Radeon Graphics
Memory: 15.0 GiB of RAM
Graphics Processor: AMD RENOIR

ADDITIONAL INFORMATION
If I enable debug log, I can see outputs like "qt.quick.image: QUrl("file:///<image path located in slow web drive mounted by rclone>")" when the freeze happens.
Comment 1 Bug Janitor Service 2021-07-05 12:17:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/520
Comment 2 Kai Uwe Broulik 2021-07-05 12:17:52 UTC
Can you check whether this MR fixes the problem?
Comment 3 Fushan Wen 2021-07-05 12:19:20 UTC
(In reply to Kai Uwe Broulik from comment #2)
> Can you check whether this MR fixes the problem?

I was just about to fix the bug by myself, Thank you!
(https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/521)
Comment 4 Kai Uwe Broulik 2021-07-05 12:20:27 UTC
Oh, heh, ninja fix, sorry :)
Comment 5 Kai Uwe Broulik 2021-07-05 12:24:02 UTC
Git commit f4cf34521dbdc8239c717575439da7c003b81b2b by Kai Uwe Broulik.
Committed on 05/07/2021 at 12:15.
Pushed by broulik into branch 'master'.

[Task Manager] Load album art background asynchronously

The main image already is but the blurred background was not.
FIXED-IN: 5.22.3

M  +1    -0    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://invent.kde.org/plasma/plasma-desktop/commit/f4cf34521dbdc8239c717575439da7c003b81b2b
Comment 6 Kai Uwe Broulik 2021-07-05 12:24:24 UTC
Git commit 7ea448ae8102876d77a12dd155912a2d34d05896 by Kai Uwe Broulik.
Committed on 05/07/2021 at 12:24.
Pushed by broulik into branch 'Plasma/5.22'.

[Task Manager] Load album art background asynchronously

The main image already is but the blurred background was not.
FIXED-IN: 5.22.3


(cherry picked from commit f4cf34521dbdc8239c717575439da7c003b81b2b)

M  +1    -0    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://invent.kde.org/plasma/plasma-desktop/commit/7ea448ae8102876d77a12dd155912a2d34d05896